body {
    box-sizing: border-box;
    display: flex;
    margin: 0;
    justify-content: center;
    background-color: black;
}

*, *::after, *::before {
    box-sizing: inherit;
}

:root {
    --bng-pink: rgb(237, 21, 113);
    --bng-yellow: rgb(251, 229, 10);
    --bng-purple: rgb(119, 34, 94);
    --bng-blue: rgb(9, 184, 185);
    --bng-head: 'DIN', sans-serif;
}

@font-face {
    font-family: 'DIN';
    src: url('DIN Condensed Bold.ttf') format('ttf');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

.bng-body {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
}

a {
    text-decoration: none;
}

#content {
    background-color: white;
    position: relative;
    padding-top: env(safe-area-inset-top, 20px);
    padding-right: env(safe-area-inset-right, 20px);
    padding-bottom: env(safe-area-inset-bottom, 20px);
    padding-left: env(safe-area-inset-left, 20px);
}

#print-icon {
    width: 20px;
    height: 20px;
    margin-left: auto;
    margin-right: auto;
    background: url("printer-icon.svg") no-repeat center;
    background-size: 20px;
    background-image: url("printer-icon.svg");
}

#print-icon:hover {
    cursor: pointer;
}

#print-dialogue-container {
    visibility: hidden;
    position: fixed;
    display: flex;
    top: 0;
    left: 0;
    width: 100%;
    height: 100dvh;
    justify-content: center;
    align-items: center;
    background-color: rgba(90, 90, 90, .75);
    z-index: 100;
}

#print-dialogue {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    flex-direction: column;
    width: 300px;
    border: 2px solid black;
    border-radius: 15px;
    background-color: white;
    padding: 1rem;
    font-size: 1rem;
}

#print-checkbox {
    width: 20px;
    height: 20px;
    accent-color: var(--bng-pink);
}

#print-button {
    background-color: var(--bng-pink);
    color: white;
    width: 75px;
    padding: .5rem;
    border-radius: 8px;
    font-size: 1rem;
}

#title {
    width: 100%;
    text-align: center;
    padding: 1rem;
    font-family: var(--bng-head);
    font-weight: 600;
}

.title-text {
    font-size: 2rem;
    letter-spacing: .25rem;
    margin: .5rem 0;
    text-align: center;
}

#challenge-grid {
    display: grid;
    padding: 2rem;
    background-color: var(--bng-blue);
    grid-template-columns: repeat(5, 150px);
    grid-template-rows: repeat(6, 125px);
    justify-content: center;
    gap: 1rem;
}

.challenge {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    padding: 1rem;
    text-align: center;
    filter: drop-shadow(5px 5px 5px #333);
    border: 5px solid white;
    font-size: .75rem;
    color: white;
}

.challenge-tick {
    background: url("check-solid.svg") no-repeat center;
    background-size: 60px;
    background-image: url("check-solid.svg");
}

#last-challenge {
    grid-column: 3;
}

#challenge-info-container {
    visibility: hidden;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100dvh;
    background-color: rgba(90, 90, 90, .75);
    z-index: 100;
}

#challenge-info-grid {
    display: grid;
    width: 350px;
    height: 300px;
    text-align: center;
    filter: drop-shadow(0px 5px 5px black);
    border: 5px solid white;
    border-radius: 15px;
    justify-items: center;
}

#challenge-text {
    display: flex;
    padding: 1rem;
    font-size: 1.5rem;
    align-items: center;
}

#challenge-checkbox-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    font-size: 1rem;
    background-color: white;
    width: 100%;
    justify-content: center;
    padding: 1rem;
    color: black;
    transform: scale(1.01);
}

#challenge-checkbox {
    width: 50px;
    height: 50px;
    accent-color: var(--bng-pink);
}

#bottom-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem;
    font-size: 1.5rem;
    font-weight: 600;
    color: white;
}

#logo-container {
    width: 100px;
    margin-bottom: 1rem;
}

#logo {
    width: 100%;
}

.purple-text {
    color: var(--bng-purple);
}

.blue-text {
    color: var(--bng-blue);
}

.pink-text {
    color: var(--bng-pink);
}

.purple-bkgr {
    background-color: var(--bng-purple);
}

.blue-bkgr {
    background-color: var(--bng-blue);
}

.pink-bkgr {
    background-color: var(--bng-pink);
}

.yellow-bkgr {
    background-color: var(--bng-yellow);
}

.challenge:hover {
    background-color: white;
    color: black;
    cursor: pointer;
}

@media only screen and (max-width: 900px) {
    #challenge-grid {
        grid-template-columns: repeat(4, 150px);
        grid-template-rows: repeat(7, 125px);
    }

    #last-challenge {
        grid-column: 4;
        width: 150px;
        justify-self: center;
    }
}

@media only screen and (max-width: 700px) {
    #challenge-grid {
        grid-template-columns: repeat(3, 150px);
        grid-template-rows: repeat(9, 125px);
    }

    #last-challenge {
        grid-column: 3;
        width: 150px;
        justify-self: center;
    }
}

@media only screen and (max-width: 500px) {
    #challenge-grid {
        grid-template-columns: repeat(2, 150px);
        grid-template-rows: repeat(13, 125px);
    }

    #last-challenge {
        grid-column: 2;
        width: 150px;
        justify-self: center;
    }
}

@media only print {
    @page {
        size: A4;
        margin: 8mm 10mm;
    }

    #title {
        padding: 0;
    }

    #challenge-grid-container {
        padding: 0 3rem;
    }

    .challenge {
        -webkit-print-color-adjust: exact;
        print-color-adjust: exact;
    }

    #logo-container {
        margin-bottom: .5;
    }

    #print-icon {
        display: none;
    }

    .progress-hidden {
        background-image: none;
    }
}
